package model

import (
	"time"
)

type OneCirclesUserWatchRecords struct {
	Id                    int64     `json:"id" xorm:"pk autoincr BIGINT(20)"`
	Uid                   int       `json:"uid" xorm:"not null default 0 comment('用户id') INT(11)"`
	NextWatchAdDate       time.Time `json:"next_watch_ad_date" xorm:"not null default 'CURRENT_TIMESTAMP' comment('下一轮观看视屏时间') DATETIME"`
	LastRoundWatchAdTotal int       `json:"last_round_watch_ad_total" xorm:"not null default 0 comment('上一轮观看视屏总数') INT(11)"`
	ResidueWatchAdNum     int       `json:"residue_watch_ad_num" xorm:"not null default 0 comment('剩余观看视屏数') INT(11)"`
	CreateAt              time.Time `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt              time.Time `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
